Bug 1312198 - Expose o-direct option in posix xlator via 'volume set' command
Expose o-direct option in posix xlator via 'volume set' command
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: posix (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krutika Dhananjay
: Triaged
Depends On:
Blocks: 1312771
  Show dependency treegraph
 
Reported: 2016-02-26 00:01 EST by Krutika Dhananjay
Modified: 2016-03-07 01:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1312771 (view as bug list)
Environment:
Last Closed: 2016-03-07 01:00:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krutika Dhananjay 2016-02-26 00:01:10 EST
Description of problem:
'gluster volume set <VOL> o-direct on' fails with the error 'this option does not exist'. We need to expose this option via the CLI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2016-02-26 02:29:34 EST
REVIEW: http://review.gluster.org/13529 (mgmt/glusterd: Expose storage.o-direct via CLI) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 2 Vijay Bellur 2016-02-26 05:05:14 EST
REVIEW: http://review.gluster.org/13529 (glusterd,posix: Expose storage.o-direct via CLI) posted (#2) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 3 Vijay Bellur 2016-02-29 00:21:05 EST
REVIEW: http://review.gluster.org/13529 (glusterd,posix: Expose storage.o-direct via CLI) posted (#3) for review on master by Krutika Dhananjay (kdhananj@redhat.com)
Comment 4 Krutika Dhananjay 2016-03-07 01:00:35 EST
Closing with WONT_FIX resolution based on Vijay's input for now. Will reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.